GET api/PhysicalTherapy/GetPTSuppliesType?q={q}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
q

string

Required

Body Parameters

None.

Response Information

Resource Description

AsapResponseOfListOfSupplyDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

Collection of SupplyDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": [
    {
      "Id": 1,
      "Name": "sample string 2",
      "Sequence": 3,
      "SupplyCategoryId": 1,
      "Description": "sample string 4",
      "Protocols": "sample string 5",
      "SupplyCategoryName": "sample string 6",
      "Todaydate": "2026-06-20T12:53:44.7046462-07:00",
      "lstSupplyType": [
        {
          "Id": 1,
          "Name": "sample string 2",
          "SupplyId": 3,
          "Sequence": 4,
          "CPTCode": "sample string 5",
          "TangAndCompanyCode": "sample string 6",
          "ValidFlag": true,
          "DateCreated": "2026-06-20T12:53:44.7046462-07:00",
          "DateUpdated": "2026-06-20T12:53:44.7046462-07:00",
          "UserIDCreated": 10,
          "UserIDUpdated": 11,
          "CompanyCode": "sample string 12",
          "IsExcludeDiscount": true
        },
        {
          "Id": 1,
          "Name": "sample string 2",
          "SupplyId": 3,
          "Sequence": 4,
          "CPTCode": "sample string 5",
          "TangAndCompanyCode": "sample string 6",
          "ValidFlag": true,
          "DateCreated": "2026-06-20T12:53:44.7046462-07:00",
          "DateUpdated": "2026-06-20T12:53:44.7046462-07:00",
          "UserIDCreated": 10,
          "UserIDUpdated": 11,
          "CompanyCode": "sample string 12",
          "IsExcludeDiscount": true
        }
      ],
      "CPTCode": "sample string 7",
      "TangAndCompanyCode": "sample string 8",
      "IsFavourite": true,
      "ValidFlag": true,
      "DateCreated": "2026-06-20T12:53:44.7046462-07:00",
      "DateUpdated": "2026-06-20T12:53:44.7046462-07:00",
      "UserIDCreated": 13,
      "UserIDUpdated": 14,
      "CompanyCode": "sample string 15",
      "IsExcludeDiscount": true
    },
    {
      "Id": 1,
      "Name": "sample string 2",
      "Sequence": 3,
      "SupplyCategoryId": 1,
      "Description": "sample string 4",
      "Protocols": "sample string 5",
      "SupplyCategoryName": "sample string 6",
      "Todaydate": "2026-06-20T12:53:44.7046462-07:00",
      "lstSupplyType": [
        {
          "Id": 1,
          "Name": "sample string 2",
          "SupplyId": 3,
          "Sequence": 4,
          "CPTCode": "sample string 5",
          "TangAndCompanyCode": "sample string 6",
          "ValidFlag": true,
          "DateCreated": "2026-06-20T12:53:44.7046462-07:00",
          "DateUpdated": "2026-06-20T12:53:44.7046462-07:00",
          "UserIDCreated": 10,
          "UserIDUpdated": 11,
          "CompanyCode": "sample string 12",
          "IsExcludeDiscount": true
        },
        {
          "Id": 1,
          "Name": "sample string 2",
          "SupplyId": 3,
          "Sequence": 4,
          "CPTCode": "sample string 5",
          "TangAndCompanyCode": "sample string 6",
          "ValidFlag": true,
          "DateCreated": "2026-06-20T12:53:44.7046462-07:00",
          "DateUpdated": "2026-06-20T12:53:44.7046462-07:00",
          "UserIDCreated": 10,
          "UserIDUpdated": 11,
          "CompanyCode": "sample string 12",
          "IsExcludeDiscount": true
        }
      ],
      "CPTCode": "sample string 7",
      "TangAndCompanyCode": "sample string 8",
      "IsFavourite": true,
      "ValidFlag": true,
      "DateCreated": "2026-06-20T12:53:44.7046462-07:00",
      "DateUpdated": "2026-06-20T12:53:44.7046462-07:00",
      "UserIDCreated": 13,
      "UserIDUpdated": 14,
      "CompanyCode": "sample string 15",
      "IsExcludeDiscount": true
    }
  ],
  "totalCount": 3
}